(Re-)authorizes the specified SCX seller/account connection.
curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/authorizations \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/authorizations"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-channels/scx/sellers/{salesChannelId}/authorizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorizationUrl": "<string>"
}wawi
(Re-)authorizes the specified SCX seller/account connection.
POST
/
v2
/
sales-channels
/
scx
/
sellers
/
{salesChannelId}
/
authorizations
(Re-)authorizes the specified SCX seller/account connection.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Sales channel id of the SCX seller/account to authorize.
Response
The authorization URL was created.
(Re-)authorizes the specified SCX seller/account connection. Returns the URL the caller must open to complete the authorization at the marketplace. - Response
URL the caller must open to complete the authorization at the marketplace.
Was this page helpful?
⌘I